libcamera v0.6.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
media_pipeline.h File Reference

Provide a representation of a pipeline of devices using the Media Controller. More...

`#include <list>`
`#include <string>`
`#include <libcamera/base/log.h>`
Include dependency graph for media_pipeline.h:

Go to the source code of this file.

## Classes
class | libcamera::MediaPipeline
| The MediaPipeline represents a set of entities that together form a data path for stream data. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

Provide a representation of a pipeline of devices using the Media Controller.